<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( ! class_exists( 'WPCP_Admin_Menus' ) ) :

class WPEKA_WPEP_Admin_menus{

	public function __construct(){
		add_action('admin_menu', array($this,'wpep_admin_menu'),10);

		add_action( 'wp_ajax_get_mailchimp_form', array($this , 'get_mailchimp_form') );
		add_action( 'wp_ajax_nopriv_get_mailchimp_form', array($this , 'get_mailchimp_form') );

		add_action( 'wp_ajax_get_mailchimp_lists', array($this , 'get_mailchimp_lists') );
		add_action( 'wp_ajax_nopriv_get_mailchimp_lists', array($this , 'get_mailchimp_lists') );
	}

	public function get_mailchimp_form() {
		$popupBasicMailChimp = new popupBasicMailchimp();
		echo $popupBasicMailChimp->getHTML();
		die();
	}

	public function get_mailchimp_lists() {
		$mailchimp = $_POST['api_key'];
		$MailChimp = new MailChimp($mailchimp);
		$lists = $MailChimp->call('lists/list')['data'];
		$list_data = array();
		if(is_array($lists))
		foreach ($lists as $list) {
			$list_data[$list['id']] = $list['name'];
		}
		update_option('mailchimp_lists' , $list_data);
		?>

		<option>Select List</option>
		<?php foreach ($list_data as $id => $name) {?>
			<option value="<?php echo $id; ?>"><?php echo $name; ?></option>
		<?php } ?>
		<?php
		die();
	}

	public function wpep_admin_menu(){
		$page = is_network_admin() ? 'settings.php' : 'options-general.php';
		$capability = is_network_admin() ? 'manage_network_options' : 'manage_options';
		add_submenu_page($page,'WP Exit Popup Settings', 'WP Exit Popup', $capability, 'WPExitPopup', array($this, 'wpep_settings'));


                 /** Start : Added by Kajal to add new submenu to check the access of user **/
	global $submenu;
	$temp = 0;
	$alreadyset = get_option('alreadyset');
	$thisplugin = get_option('fromexit');
	if($alreadyset != 'true' || $thisplugin == 'true'){
		$wpeka_login_page = add_plugins_page(
					__( 'WPeka Account', 'wpeka_core' ),
					__( 'WPeka Account', 'wpeka_core' ),
					'edit_theme_options',
					'wpeka-account',
					array($this,'wpeka_account_page_exitpopup')
			);
			add_action( "admin_print_styles-$wpeka_login_page", array($this,'wpeka_load_styles_account_exitpopup') );
			add_option('alreadyset','true');
			add_option('fromexit','true');
		}
		/** END : Added by Kajal to add new submenu to check the access of user **/
         }

 function wpeka_load_styles_account_exitpopup() {
		wp_enqueue_style( 'plugin_option_styles', plugin_dir_url(__FILE__ ) . '/wpeka/options/lib/css/options-style.css', 'bootstrap');

}

	//Function to display login page
function wpeka_account_page_exitpopup() {
	$strResponseMessage = '';
	$wpekauser_login_id = get_option("wpekaaccount_user_details");

	if (isset($_POST['ccSubmitBtn']))
	{

		//Unset value if already set
		update_option('wpekaaccount_user_details', '' );
		update_option('wpekaaccount_status', '' );
		$username = $_POST['ccuname'];	$password = $_POST['ccpwd'];
		require_once dirname( __FILE__ ) . '/wpeka/class-cc-updater.php';
		if(isset($username) && isset($password) ) {
				$ccuser = new wpeka_Updater($username, $password );
				$strResponseMessage = $ccuser->validate();
				set_transient('wpekavalidate_user_details' , 'validate_user' , WEEK_IN_SECONDS);
				$wpekauser_login_id = get_option("wpekaaccount_user_details");
		}
	}
	?>

				<div class="panel-heading"><h3 class="panel-title" style="line-height: 20px;"><?php echo "Enter WPeka Account Details";?></h3></div>
				<div class="panel panel-primary">
<span class="ccinfo"><?php _e('To receive update notifications and to update automatically, please authenticate your access using your WPeka Login Credentials (<b>Username</b> and Password)','iribbonpro') ?></span>

					<span class="updateres"><?php if ($strResponseMessage != '' ) echo $strResponseMessage; ?></span>
				      <div class="panel-body">
						<form action="" id="formSettings" method="post">
							 <div class="form-group">
                                                            <label for="ccuname">User Name</label>
                                                            <br>
							    <input type="text" id="ccuname" class="form-control" name="ccuname" placeholder="Enter Account User Name" data-placement="right" title="Please Enter User Name" value="<?php echo $wpekauser_login_id['username'];?>"/>
                                                            <br>
                                                            <label for="ccpwd">Password</label>
                                                            <br>
                                                            <input type="password" id="ccpwd" class="form-control" name="ccpwd" placeholder="Enter Password" data-placement="right" title="Please Enter Password" value="<?php echo $wpekauser_login_id['password'];?>"/>
						   </div>
						   <input type="submit" id="ccSubmitBtn" name="ccSubmitBtn" class="btn btn-primary" value="Authenticate">
					   </form>
					</div>
				</div>

	<?php
		}
	public function wpep_settings()
	{
		$wpep_settings = get_option('wpep_settings');
		if($wpep_settings['wpep_popuptype']=="")
			$wpep_settings['wpep_popuptype']="on_screen";
		$wpep_popuptype = $wpep_settings['wpep_popuptype'];
		$wpep_position = $wpep_settings['wpep_position'];
		$popup_display = $wpep_settings['popup_display'];
		$mailchimp_enable = $wpep_settings['mailchimp_enabled'];
		$mailchimp = $wpep_settings['mailchimp_api_key'];
		$mailchim_list = $wpep_settings['mailchimp_list'];
		$wpep_corner_popup_position = $wpep_settings['wpep_corner_popup_position'];
		$wpep_corner_message = html_entity_decode($wpep_settings['wpep_corner_message']);
		$wpep_message = html_entity_decode($wpep_settings['wpep_message']);
		wp_enqueue_script('jquery');
		wp_enqueue_script('wpep_admin_js',WPEKA_WPEP_PLUGIN_URL."assets/js/admin.js");
		wp_register_style('wpep_tabbed',WPEKA_WPEP_PLUGIN_URL."assets/css/tabbed-mods.css");
		wp_enqueue_style( 'wpep_tabbed' );
		wp_register_style('wpep_tabbedsettings',WPEKA_WPEP_PLUGIN_URL."assets/css/tabsettings.css");
		wp_enqueue_style( 'wpep_tabbedsettings' );
		wp_enqueue_style('wpep_admin_css',WPEKA_WPEP_PLUGIN_URL."assets/css/admin.css");
		wp_register_style('wpep_bootstrap',WPEKA_WPEP_PLUGIN_URL."assets/css/bootstrap.min.css");
		wp_enqueue_style( 'wpep_bootstrap' );
		wp_enqueue_script('wpep_bootstrap_min_js',WPEKA_WPEP_PLUGIN_URL."assets/js/bootstrap.min.js");
		wp_enqueue_style('google_font' , 'http://fonts.googleapis.com/css?family=Comfortaa:400,700,300');

		$localize_script_data = array(
				'wpep_ajax_url'=>admin_url('admin-ajax.php'),
				'wpep_site_url'=>site_url(),
				'plugin_url'=>WPEKA_WPEP_PLUGIN_URL,
				'plugin_dir'=>WPEKA_WPEP_PLUGIN_DIR
		);

		$list_data = get_option('mailchimp_lists');


		wp_localize_script('wpep_admin_js','wpep_save_settings_data',$localize_script_data);
		?>
		<div id="wpep_settings_saved" class="updated settings-saved" style="display:none;">Settings saved.</div>
		<h4 class='wpeka-panel-heading'>WP Exit Popup Settings</h4>
		<div class="wrap">
		<section id="tabbed">
		<form id="wpep_setting_form" onsubmit="save_settings(event,this)">
			<input type="hidden" name="usm_action" value="update"/>
			<!-- Nav tabs -->
			<input class ="radio-input" id="t-1" type="radio" checked="checked" name="tabbed-tabs">
			<label class="tabs shadow " for="t-1">Settings</label>
		<!-- Tab panes -->
		<div class="wrapper shadow">
			<div class="tab-1">
			  	<div>
			  		<div class="panel-group" id="wpep_toggle">
			  			<div class="panel panel-default">
			  				<div class="panel-heading">
						      	<h5>
							      	<a data-toggle="collapse" data-parent="#accordion" href="#popup_display">
							          Popup Display Settings
							        </a>
						        </h5>
						    </div>
						    <div id="popup_display" class="panel-collapse collapse">
						      <div class="panel-body" style="padding: 10px;">
							      <div class="btn-group" data-toggle="buttons">
									  <label class="btn btn-info"><input type="radio" name="popup_display" value="1" <?php if($popup_display=='1') echo "checked"?> style="width:auto;">To Only Logged In Users</label><br>
									  <label class="btn btn-info"><input type="radio" name="popup_display" value="2" <?php if($popup_display=='2') echo "checked"?> style="width:auto;">To Only Guest Users</label><br>
									  <label class="btn btn-info"><input type="radio" name="popup_display" value="3" <?php if($popup_display=='3') echo "checked"?> style="width:auto;">To All Users</label>
								</div>
						      </div>
						    </div>
			  			</div>
			  		</div>
			  		<div class="panel-group" id="wpep_toggle">
			  			<div class="panel panel-default">
			  				<div class="panel-heading">
						      	<h5>
							      	<a data-toggle="collapse" data-parent="#accordion" href="#no_of_popups">
							          Number of times the popup should get displayed:
							        </a>
						        </h5>
						    </div>
						    <div id="no_of_popups" class="panel-collapse collapse">
						      <div class="panel-body" style="padding: 10px;">
						        <div class="">
									<input type="text" name="wpep_display_popup" value="<?php echo $wpep_settings['wpep_display_popup'];?>" id="popup_count"/>
									<br><small><b>(Note : To display popup every time, please enter 0.)</b></small>
								</div>
						      </div>
						    </div>
			  			</div>
			  		</div>
			  		<div class="panel-group" id="wpep_toggle">
			  			<div class="panel panel-default">
			  				<div class="panel-heading">
						      	<h5>
							      	<a data-toggle="collapse" data-parent="#accordion" href="#type_of_popups">
							          Type of Popups:
							        </a>
						        </h5>
						    </div>
						    <div id="type_of_popups" class="panel-collapse collapse">
						      <div class="panel-body" style="padding: 10px;">
							      <div class="btn-group" data-toggle="buttons">
										  <label class="btn btn-info"><input type="radio" id="r_on_screen" name="wpep_popuptype" value="on_screen" <?php if($wpep_popuptype=='on_screen') echo "checked"?> onclick="popup_Selector();" style="width:auto;">On Screen Popup</label><br>
										  <label class="btn btn-info"><input type="radio" id="r_corner" name="wpep_popuptype" value="corner" <?php if($wpep_popuptype=='corner') echo "checked"?> onclick="popup_Selector();" style="width: auto;">Corner Popup</label><br>
									</div>
						      </div>
						    </div>
			  			</div>
			  		</div>
			  		<!-- Mailchimp Integration -->
				  		<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
				  				<div class="panel-heading">
							      	<h5>
								      	<a data-toggle="collapse" data-parent="#accordion" href="#mailchimp">
								          Mailchimp Integration
								        </a>
							        </h5>
							    </div>
							    <div id="mailchimp" class="panel-collapse collapse">
							      <div class="panel-body" style="padding: 10px;">
							        <div class="">
										<div>
											<label class="btn btn-info"><input type="checkbox" id="mailchimp_enable" value="mailchimp" name="mailchimp_enabled" <?php echo ($mailchimp_enable == 'mailchimp') ? 'checked="checked"' : ''; ?> /> Enable Mailchimp</label><br>
											<input type="text" id="mailchimp_api_key" name="mailchimp_api_key" value="<?php echo $mailchimp;?>" placeholder="Mailchimp API key" /><br>
											<select name="mailchimp_list" id="mailchimp_list">
												<option>Select List</option>
												<?php
													if($list_data == false)
														$list_data = array();
													foreach ($list_data as $id => $name) {?>
													<option value="<?php echo $id; ?>" <?php echo ($id == $mailchim_list) ? 'selected="selected"' : ''; ?>><?php echo $name; ?></option>
												<?php } ?>
											</select>
										</div>
									</div>
							      </div>
							    </div>
				  			</div>
				  		</div>

			  		<div id="on_screen_popup" style="display: none">
				  		<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
				  				<div class="panel-heading">
							      	<h5>
								      	<a data-toggle="collapse" data-parent="#accordion" href="#types_popup">
								           Exit Popup Position:
								        </a>
							        </h5>
							    </div>
							    <div id="types_popup" class="panel-collapse collapse">
							      <div class="panel-body" style="padding: 10px;">
							       <div class="btn-group" data-toggle="buttons">
										  <label class="btn btn-info"><input type="radio" name="wpep_position" value="top" <?php if($wpep_position=='top') echo "checked"?> style="width:auto;">Top</label><br>
										  <label class="btn btn-info"><input type="radio" name="wpep_position" value="bottom" <?php if($wpep_position=='bottom') echo "checked"?> style="width:auto;">Bottom</label><br>
										  <label class="btn btn-info"><input type="radio" name="wpep_position" value="left" <?php if($wpep_position=='left') echo "checked"?> style="width:auto;">Left</label><br>
										  <label class="btn btn-info"><input type="radio" name="wpep_position" value="right" <?php if($wpep_position=='right') echo "checked"?> style="width:auto;">Right</label><br>
									</div>
									<br><small>(Popup will appear when cursor moves to selected position)</small>
							      </div>
							    </div>
				  			</div>
				  		</div>
				  		<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
				  				<div class="panel-heading">
							      	<h5>
								      	<a data-toggle="collapse" data-parent="#accordion" href="#message">
								          Message:
								        </a>
							        </h5>
							    </div>
							    <div id="message" class="panel-collapse collapse">
							      <div class="panel-body" style="padding: 10px;">
							        <div class="">
										<textarea name="wpep_message" id="wpep_message"  rows="10" cols="120" onkeyup="wpep_show_message()" style="height: 178px; width: 90%;padding: 10px;"><?php echo stripslashes($wpep_message)?></textarea><br><br>
									</div>
							      </div>
							    </div>
				  			</div>
				  		</div>
				  	</div>
				  	<div id="corner_popup" style="display: none">
				  		<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
				  				<div class="panel-heading">
							      	<h5>
								      	<a data-toggle="collapse" data-parent="#accordion" href="#corner_popup_position">
								          Exit Popup Position:
								        </a>
							        </h5>
							    </div>
							    <div id="corner_popup_position" class="panel-collapse collapse">
							      <div class="panel-body" style="padding: 10px;">
							      <div class="btn-group" data-toggle="buttons">
										  <label class="btn btn-info"><input type="radio" name="wpep_corner_popup_position" value="top_left" <?php if($wpep_corner_popup_position=='top_left') echo "checked"?> onclick="corner_position_Selector();" style="width:auto;">Top-Left</label><br>
										  <label class="btn btn-info"><input type="radio" name="wpep_corner_popup_position" value="top_right" <?php if($wpep_corner_popup_position=='top_right') echo "checked"?> onclick="corner_position_Selector();" style="width:auto;">Top-Right</label><br>
										  <label class="btn btn-info"><input type="radio" name="wpep_corner_popup_position" value="bottom_left" <?php if($wpep_corner_popup_position=='bottom_left') echo "checked"?> onclick="corner_position_Selector();" style="width:auto;">Bottom-Left</label><br>
										  <label class="btn btn-info"><input type="radio" name="wpep_corner_popup_position" value="bottom_right" <?php if($wpep_corner_popup_position=='bottom_right') echo "checked"?> onclick="corner_position_Selector();" style="width:auto;">Bottom-Right</label><br>
									</div>
										<br><small>(Popup will appear at selected corner)</small>
							      </div>
							    </div>
				  			</div>
				  		</div>

				  		<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
				  				<div class="panel-heading">
							      	<h5>
								      	<a data-toggle="collapse" data-parent="#accordion" href="#corner_message">
								          Message:
								        </a>
							        </h5>
							    </div>
							    <div id="corner_message" class="panel-collapse collapse">
							      <div class="panel-body" style="padding: 10px;">
							        <div class="">
											<textarea name="wpep_corner_message" id="wpep_corner_message"  rows="10" cols="120" onkeyup="wpep_show_message()"style="height: 178px; width: 90%;padding: 10px;"><?php echo stripslashes($wpep_corner_message)?></textarea><br><br>
									</div>
							      </div>
							    </div>
				  			</div>
				  		</div>
				  	</div>
					<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
				  				<div class="panel-heading">
							      	<h5>
								      	<a data-toggle="collapse" data-parent="#accordion" href="#preview_message">
								          Preview:
								        </a>
							        </h5>
							    </div>
							    <div id="preview_message" class="panel-collapse collapse">
							      <div class="panel-body" style="padding: 10px;">
							        <div class="">
										<div class="wpep_preview">
											<div id="message_preview"></div>
											<div id="corner_message_preview"><div id="popup_msg"></div></div>
											<div class="glue_close">X</div>
										</div>
									</div>
							      </div>
							    </div>
				  			</div>
				  		</div>
			  	</div>
			</div>
			<hr/>
			<input type="hidden" name="action" value="saveSettings">
			<button type="submit" class="btn btn-primary button blue">Save Changes</button>
			<div class="wait-loader" id="wait_loader"></div>
			<div class="setting-saved-message" id="setting_saved_message">Settings saved.</div>
		</div>
		</form>
		</section>
		</div>

		<?php
	}
}

new WPEKA_WPEP_Admin_menus();

endif;
?>
