<?php
if(!defined('ABSPATH')) {exit;}

if(!class_exists('wpep_Http')) :

class wpep_Http {
	
	public $remote_url;
	public $param=array();
	public $method='GET';
	public $header = array();
	public $request = array();
	public $response;
	
	public function __construct($url = '' , $param = array() , $method ='GET') {
		
		if($url != '')
			$this->set_url($url);
		
		if(!empty($param))
			$this->set_params($param);
		
		if($method != '')
			$this->set_method($method);
	}
	
	public function set_url($url) {
		$this->remote_url = $url;
	}
	
	public function set_params($param) {
		$this->param = $param;
	}
	
	public function set_method($method) {
		$this->method = $method;
	}
	
	public function set_header($header) {
		$this->header = $header;
	}
	
	public function prepare_request(){
		$this->request = array(
				'method' => $this->method,
				'headers' => $this->header,
				'body' => $this->param
		);
	}
	public function process_request(){
		$this->prepare_request();
		$this->response = wp_remote_post($this->remote_url, $this->request);
	}
	
	public function get_response() {
		$this->process_request();
		if($this->response['response']['code'] == 200 && $this->response['response']['message'] = 'OK')
			return $this->response['body'];
	}
	
	
}

endif;
?>
<?php
if(!defined('ABSPATH')) {exit;}

if(!class_exists('wpep_Authenticate')) :

class wpep_Authenticate {
	
	public $auth_url = 'http://club.wpeka.com/club_api/';
	public $auth_pass;
	public $auth_user;
	
	public function __construct($auth_user , $auth_pass) {
		$this->auth_user = $auth_user;
		$this->auth_pass = $auth_pass;
	}
	
	public function authenticate() {
		$http_request = new wpep_Http($this->auth_url , array('webdata' => 
											json_encode(array(
													'user_login' => $this->auth_user , 
													'user_pass' => $this->auth_pass
											)) ,
											'action' => 'authenticate'
										) , 'POST'
					);
		$response = json_decode($http_request->get_response());
		if($response->sStatus == 0 ) {
			update_option('wpeka_member_token', $response->token);
			update_option('wpeka_member_username', $this->auth_user);
		}else{
			return false;
		}
	}
	
}

endif;
?>
<?php
if(!class_exists('wpep_updater')) :
class wpep_updater {
	public $licence_key;
	public $plugin_path;
	public  $plugin_slug;
	public $api_url = 'http://club.wpeka.com/club_api/';
	
	function __construct($licence_key , $plugin_path , $plugin_slug) {
		$this->licence_key = $licence_key;
		$this->plugin_path = $plugin_path;
		$this->plugin_slug = $plugin_slug;
		if(get_transient('wpep_update_check_flag') != 'checked_update')
			add_filter( 'pre_set_site_transient_update_plugins', array($this , 'check_update' ) );
		add_filter( 'plugins_api', array($this, 'plugin_api_call'), 10, 3 );
		add_action( 'wp_ajax_update-plugin', array($this , 'pre_update_plugin' ) , 1);
		add_action( 'wp_ajax_nopriv_update-plugin', array($this,'pre_update_plugin' ) , 1 );
	}
	
	function pre_update_plugin() {
		if(isset($_POST['action']) && sanitize_text_field($_POST['action']) == 'update-plugin') {
			delete_transient('wpep_update_check_flag');
			add_filter( 'pre_set_site_transient_update_plugins', array($this , 'check_update' ) );
		}
	}
	
	function plugin_api_call( $def, $action, $args ) {
		global $wp_version;
		if( !isset($args->slug) || $args->slug != $this->plugin_slug ) return $def;
		$plugin_info = get_site_transient('update_plugins');
    		
		$request_args = array(
				'licence' => $this->licence_key,
				'slug' => $this->plugin_slug,
				'version' => (isset($plugin_info->checked)) ? $plugin_info->checked[$this->plugin_path] : 0 ,
				'transient' =>$transient ,
				'wp_version' => $wp_version,
				'home_url'	=>	home_url() ,
				'plugin_path'	=> $this->plugin_path ,
				'action'	=>	'update' ,
				'plugin_action'	=> $action ,
				'do'	=> 	'plugins_api'
		);
	
		$raw_response = wp_remote_post( $this->api_url ,
				array( 'method' => 'POST' ,
						'body'=> $request_args ) );
	
		if( is_wp_error($raw_response) ){
			$res = new WP_Error('plugins_api_failed', __('An Unexpected HTTP Error occurred during the API request.</p> <p><a href="?" onclick="document.location.reload(); return false;">Try again</a>'), $raw_response->get_error_message());
		} else {
			$res = unserialize($raw_response['body']);
			if ($res === false)
				$res = new WP_Error('plugins_api_failed', __('An unknown error occurred'), $raw_response['body']);
		}
	
		return $res;
	}
	
	function check_update($transient) {
		global $wp_version;
		//if(empty($transient->checked)) return $transient;
		
		$request_args = array(
				'licence' => $this->licence_key,
				'slug' => $this->plugin_slug,
				'version' => $transient->checked[$this->plugin_path] ,
				'transient' =>$transient , 
				'wp_version' => $wp_version,
				'home_url'	=>	home_url() ,
				'plugin_path'	=> $this->plugin_path ,
				'action'	=>	'update'
		);
		
		$raw_response = wp_remote_post( $this->api_url ,
						 array( 'method' => 'POST' , 
						 		'body'=> $request_args ) );
		if( !is_wp_error($raw_response) && ($raw_response['response']['code'] == 200) )
		{
			$response = unserialize($raw_response['body']);	
		}
		if( is_object($response) && !empty($response) ) {
			// Feed the update data into WP updater
			$transient->response[$this->plugin_path] = $response;
		}
		
		if ( isset( $transient->response[$this->plugin_path] ) ) {
			if ( strpos( $transient->response[$this->plugin_path]->package, 'wordpress.org' ) !== false  ) {
				unset($transient->response[$this->plugin_path]);
			}
		}
		set_transient('wpep_update_check_flag' , 'checked_update' , 60* 60 *24 *7);
		return $transient;
	}
}
endif;

function wpep_process_wpeka_login_request() {
	$token = get_option('wpeka_member_token');
	if(isset($_POST['login']) && $token == false) {
		if(isset($_POST['pass']) && isset($_POST['user'])) {
			$auth = new wpep_Authenticate(sanitize_text_field($_POST['user']) , sanitize_text_field($_POST['pass']));
			if(!$auth->authenticate()){
					update_option('wrong_username_pass' , true);
					delete_option('display_login_form');
			}
		}
	}
	else
	{
		delete_option('display_login_form');
	}
}

function wpep_admin_notice(){
global $pagenow;
	$token = get_option('wpeka_member_token');
	
	if ( $pagenow == 'plugins.php' && $token == false) {
		$display_login_form = get_option('display_login_form');
		if($display_login_form != 'true') {
			echo '<div class="error">			
    	    	  <div class="login_frm">
   				 	<h3>WPeka Login</h3><br>';
			if(get_option('wrong_username_pass')) {
				echo '<h4 style="color:red;">Please enter valid credentials</h4>';
				delete_option('wrong_username_pass');
			}
  			echo		'<form action="" method="post">
    				<input type="text" name="user" placeholder="Username">
				    <input type="password" name="pass" placeholder="Password">
				    <input type="submit" name="login" class="login login-submit" value="login">
					</form>
					<span>Get Regular Auto-Updates by loging-in to WPeka account</span>
				</div>
	         </div>';
     }

        update_option('display_login_form' , 'true');
	}
}
?>
