<?php

/*
* Plugin Name: WP Exit Popup Plugin Slidedeck
* URI: http://club.wpeka.com/
* Description:WP Exit Popup plugin allows you to create exit-popups on your website, so you can capture visitors just as they are about to leave.
* Version: 1.5
* Author: WPEka Author
* URI: http://club.wpeka.com
* @category Core
* @author WPEka
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if( !class_exists('WPEKA_WPExitPopup')) :

	final class WPEKA_WPExitPopup {
	var $wpep_opt_version = array ();
	public function __construct(){
		$this->define_wpep_constants();
		$this->include_files();
		$this->initialize();
	}
	private function define_wpep_constants(){
		define('WPEKA_WPEP_PLUGIN_URL', plugin_dir_url(__FILE__));
		define('WPEKA_WPEP_PLUGIN_DIR', plugin_dir_path(__FILE__));
	}

	private function initialize(){
		if( get_option('wpep_settings') == false){
			$wpep_message = '<div style="text-align:center"><h1>Wait!!! Before you go...</h1></div>

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis aliquam interdum enim ut congue. Vivamus erat velit, convallis nec suscipit at, egestas nec nunc. Phasellus in faucibus nunc. Curabitur luctus suscipit faucibus. Phasellus risus risus, bibendum vitae commodo at, gravida in lorem. Nam euismod, turpis non viverra eleifend, leo lorem tempor elit, sit amet hendrerit justo purus at magna. In hac habitasse platea dictumst. Integer sodales pretium libero sed mattis. Aenean suscipit neque ac purus tincidunt iaculis.';
			$wpep_corner_message = '<img src="'.WPEKA_WPEP_PLUGIN_URL.'assets/images/wait.png"  width="310" height="310"/>';
			$wpep_settings = array(
				'wpep_popuptype'=>'on_screen',
				'wpep_message'=>$wpep_message,
				'wpep_position'=>'top',
				'wpep_corner_popup_position'=>'top_left',
				'wpep_corner_message'=>$wpep_corner_message,
				'wpep_display_popup'=>0	,
				'popup_display'=>3 ,
				'mailchimp_enabled' => '' ,
				'mailchimp_api_key' => '' ,
				'mailchimp_list'	=>	''
			);
			update_option('wpep_settings',$wpep_settings);
		}
	}

	function include_files()
	{
		include_once(WPEKA_WPEP_PLUGIN_DIR.'includes/MailChimp.php');
		if (is_admin()) {
			include_once(WPEKA_WPEP_PLUGIN_DIR."includes/wpep-class-templates.php");
			include_once(WPEKA_WPEP_PLUGIN_DIR."includes/admin/ajax.php");
			$ajax = new WPEPAjax();
			add_action('wp_ajax_saveSettings', array($ajax,'saveSettings'));
		}
		include_once(WPEKA_WPEP_PLUGIN_DIR."includes/admin/class-WPEP-admin-menus.php");
		include_once(WPEKA_WPEP_PLUGIN_DIR."includes/display-wp-exit-popup.php");
	}

}

new WPEKA_WPExitPopup();

endif;

function deactivate_exit_popup() {
	if(get_option('fromexit') == 'true'){
		delete_option('fromexit','false');
		delete_option('alreadyset','false');
	}
}
register_deactivation_hook( __FILE__, 'deactivate_exit_popup' );

/** Added By kajal : check transient related to account details of use to check is your is active member of club **/
if ( get_transient('wpekavalidate_user_details') === false)
{
	$cc_user_login_id = get_option("wpekaaccount_user_details");

		$username = $cc_user_login_id['username'];	$password = $cc_user_login_id['password'];

		require_once( plugin_dir_path( __FILE__ ) . 'includes/admin/wpeka/class-cc-updater.php');
		if(isset($username) && isset($password) ) {
			$ccuser = new wpeka_Updater($username, $password );
			$ccuser->validate();
			set_transient('wpekavalidate_user_details' , 'validate_user' , WEEK_IN_SECONDS);
		}
}
/**
 * Check for theme updates
 */
$wpeka_user_account_status = get_option("wpekaaccount_status");
$wpeka_purchased_products = get_option('wpeka_purchased_product');

	if(preg_match('#Exit\s{0,}Popup|wpexitpopup#ims',$wpeka_purchased_products) || preg_match('#Beginner Bundle|WPeka Club Silver plan|WPeka Silver Membership Offer|WPeka Club Platinum plan|WPeka Club Gold Plan#ims',$wpeka_purchased_products)){
		require_once( plugin_dir_path( __FILE__ ) . 'wp-updates-plugin.php' );
		new WPUpdatesPluginUpdater_1078( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));
	}
	/** end Added by Kajal **/

?>
